Public log

@theo.foobar/mcp-time

A mcp server providing standardized tools to perform time and date-related operations

npm · fingerprint ddd7774f05b2c0d250d0267e · repository · RSS

5tools
2recorded versions
1htracked
changed today

What changed

Changed 2026-10-06 15:06 UTC

1 schema or annotation change with the description left byte-identical.

--- pinned/current_time
+++ observed/current_time
  {
    "annotations": {
      "destructiveHint": false,
-         "description": "The output time format, which can be a predefined format or a custom layout.\n\n## Predefined Formats\n\n`RFC1123`, `RFC3339nano`, `Kitchen`, `Stamp`, `StampMicro`, `DateTime`, `DateOnly`, `Rubydate`, `RFC822`, `RFC822z`, `ANSIC`, `RFC850`, `RFC1123z`, `StampMilli`, `TimeOnly`, `Unixdate`, `RFC3339`, `StampNano`\n\n## Custom Format\n\nA custom format can be built using the following components. Each component shows an example of how a part of the reference time is formatted. Only these values are recognized. Any text in the layout string that is not a recognized component will be treated as a literal.\n\n- Year: \"2006\", \"06\"\n- Month: \"Jan\", \"January\", \"01\", \"1\"\n- Day of the week: \"Mon\", \"Monday\"\n- Day of the month: \"2\", \"_2\", \"02\"\n- Day of the year: \"__2\", \"002\"\n- Hour: \"15\", \"3\", \"03\" (PM or AM)\n- Minute: \"4\", \"04\"\n- Second: \"5\", \"05\"\n- AM/PM mark: \"PM\"\n\n### Numeric Time Zone Offsets\n\n- \"-0700\"     (±hhmm)\n- \"-07:00\"    (±hh:mm)\n- \"-07\"       (±hh)\n- \"-070000\"   (±hhmmss)\n- \"-07:00:00\" (±hh:mm:ss)\n\nReplacing the sign with a \"Z\" triggers ISO 8601 behavior, which prints \"Z\" for the UTC zone:\n\n- \"Z0700\"      (Z or ±hhmm)\n- \"Z07:00\"     (Z or ±hh:mm)\n- \"Z07\"        (Z or ±hh)\n- \"Z070000\"    (Z or ±hhmmss)\n- \"Z07:00:00\"  (Z or ±hh:mm:ss)\n\nWithin the format string, the underscores in \"_2\" and \"__2\" represent spaces that may be replaced by digits if the following number has multiple digits, for compatibility with fixed-width Unix time formats. A leading zero represents a zero-padded value.\nThe formats __2 and 002 are space-padded and zero-padded three-character day of year; there is no unpadded day of year format.\n\n### Fractional Seconds\n\nA comma or decimal point followed by one or more zeros represents a fractional second, printed to the given number of decimal places. A comma or decimal point followed by one or more nines represents a fractional second with trailing zeros removed.\nFor example, \"15:04:05.000\" formats or parses with millisecond precision.",
+         "description": "The output time format, which can be a predefined format or a custom layout.\n\n## Predefined Formats\n\n`RFC850`, `RFC1123`, `RFC3339`, `StampMilli`, `StampNano`, `ANSIC`, `Rubydate`, `RFC1123z`, `RFC3339nano`, `Stamp`, `DateTime`, `Unixdate`, `RFC822`, `Kitchen`, `TimeOnly`, `RFC822z`, `StampMicro`, `DateOnly`\n\n## Custom Format\n\nA custom format can be built using the following components. Each component shows an example of how a part of the reference time is formatted. Only these values are recognized. Any text in the layout string that is not a recognized component will be treated as a literal.\n\n- Year: \"2006\", \"06\"\n- Month: \"Jan\", \"January\", \"01\", \"1\"\n- Day of the week: \"Mon\", \"Monday\"\n- Day of the month: \"2\", \"_2\", \"02\"\n- Day of the year: \"__2\", \"002\"\n- Hour: \"15\", \"3\", \"03\" (PM or AM)\n- Minute: \"4\", \"04\"\n- Second: \"5\", \"05\"\n- AM/PM mark: \"PM\"\n\n### Numeric Time Zone Offsets\n\n- \"-0700\"     (±hhmm)\n- \"-07:00\"    (±hh:mm)\n- \"-07\"       (±hh)\n- \"-070000\"   (±hhmmss)\n- \"-07:00:00\" (±hh:mm:ss)\n\nReplacing the sign with a \"Z\" triggers ISO 8601 behavior, which prints \"Z\" for the UTC zone:\n\n- \"Z0700\"      (Z or ±hhmm)\n- \"Z07:00\"     (Z or ±hh:mm)\n- \"Z07\"        (Z or ±hh)\n- \"Z070000\"    (Z or ±hhmmss)\n- \"Z07:00:00\"  (Z or ±hh:mm:ss)\n\nWithin the format string, the underscores in \"_2\" and \"__2\" represent spaces that may be replaced by digits if the following number has multiple digits, for compatibility with fixed-width Unix time formats. A leading zero represents a zero-padded value.\nThe formats __2 and 002 are space-padded and zero-padded three-character day of year; there is no unpadded day of year format.\n\n### Fractional Seconds\n\nA comma or decimal point followed by one or more zeros represents a fractional second, printed to the given number of decimal places. A comma or decimal point followed by one or more nines represents a fractional second with trailing zeros removed.\nFor example, \"15:04:05.000\" formats or parses with millisecond precision.",
          "type": "string"
        },
        "timezone": {

Current tools

Show all 5 tool fingerprints
add_time
a555c2d88b8bb550
compare_time
e966bce4af9fe2ee
convert_timezone
b54a651a314618fb
current_time
d7fc9dce351818fd
relative_time
02cac03f7544f52c

Watch this server yourself

If you run this server, put the proxy in front of it. It pins these exact fingerprints on first connect and stops the session if they move.

npx -y mcp-pin@0.2.3 -- <your @theo.foobar/mcp-time command>

Or subscribe to this page's RSS feed to be told when it changes.

Badge

mcp-pin status badge for @theo.foobar/mcp-time

The badge states one fact about time and nothing else. It never claims a server is safe.

[![mcp-pin](https://mcp-pin.gautamkhosla.com/badge/d209ae4722f014b3.svg)](https://mcp-pin.gautamkhosla.com/servers/d209ae4722f014b3.html)